Skip to content
Compare
Choose a tag to compare

!!!! ATTENTION !!!!

Please make sure you are fully synced before installing this release

  • Protocol changed to 70926 (will be enforced as of block 622222. Estimated date: 12 November 2021
  • First halving event will occur about two weeks after the enforcement, target block height: 633333, estimated date: November 28th, 2021
  • The last halving event will set the block reward for 2 FIX, target block height: 694444, estimated date: February 24th, 2022
Compare
Choose a tag to compare

!!!! ATTENTION !!!!

Please make sure you are fully synced before installing this release

  • Protocol changed to 70926 (will be enforced as of block 622222. Estimated date: 12 November 2021
  • First halving event will occur about two weeks after the enforcement, target block height: 633333, estimated date: November 28th, 2021
  • The last halving event will set the block reward for 2 FIX, target block height: 694444, estimated date: February 24th, 2022
Compare
Choose a tag to compare

Mandatory update

  • Fix multitier bugs
  • Protocol changed to 70925 (Mandatory update). Please upgrade before block 292000
  • Fix [RPC] masternodecurrent bug
  • Mac package now also includes fix-cli binary

If you already using masternode-manager, then binaries will be updated for you AUTOMATICALLY during the night after this release.

!!! Please don't forget to "start-alias" masternodes (necessary due to protocol change) !!!


Linux binaries for Debian, Ubuntu and Raspbian systems (both CLI and GUI versions) are available via repository.
GUI (QT) version from the repository is now packages as GNOME Application, which makes it easier to use it on Ubuntu Desktop.

If you are looking for just running a GUI or CLI version of the wallet, just add new repo to your linux manually (look bellow for instructions) and install desired package

In addition to regular wallet packages, we are introducing "masternode-manager" - a tool, that allows you to install multiple masternodes on single VPS and takes care of automatic upgrading binaries whenever new release is available !

This is highly recommended to migrate all your masternodes to masternode-manager

To install masternode-manager, please run the following command on freshly installed VPS (Debian 10 with IPv6 recommended) :

(this command will configure NewCapital repository on your system and install masternode-manager)

wget -q -O - https://git.io/Jf5Wu | bash

Once masternode is installed using masternode-manager, there will be no need to update binaries anymore - masternode manager will take care of updates automatically ! But you still may need to re-activate the masternode using "start-alias" in case of a protocol change !

Please note, in order to get the most out of masternode-manager, your VPS should have IPv4 and IPv6 configured

masaternode-manager also installing systemd services necessary to start/stop masternodes automatically.

To manually add NewCapital repository to your Debian / Ubuntu / Raspbian, please run the following :

apt-get update && apt-get -y install gnupg apt-transport-https
wget -O - -q https://apt.new.capital/newcapital.gpg.key | apt-key add - 
echo 'deb https://apt.new.capital/apt/debian stable main' > /etc/apt/sources.list.d/newcapital.list
apt-get update

The following packages are available in the repository :

  • masternode-manager
  • twins-wallet (latest version of TWINS Wallet. CLI only)
  • twins-qt (latest version of TWINS Wallet. CLI + QT Version)
  • fix-wallet (latest version of FIX Wallet. CLI only)
  • fix-qt (latest version of FIX Wallet. CLI + QT Version)

Packages can be installed running

apt-get install <package_name>

If you are installing the package manually, you can always upgrade it using the following commands :

apt-get update && apt-get install <package_name>

If newer version of the package is available, it will be installed.


Bootstrap file can be downloaded from here: https://github.com/NewCapital/Bootstraps/releases/download/fix/bootstrap.zip

Compare
Choose a tag to compare

Mandatory update

  • Fix bug for minimum staking amount
  • Updated checkpoints

This is mandatory update, must be installed before block 223000
If you are upgrading from 3.3.8.0, then masternode reactivation is NOT required.

Bootstrap file can be downloaded from here: https://github.com/NewCapital/Bootstraps/releases/download/fix/bootstrap.zip

Compare
Choose a tag to compare

*** Mandatory update ***

Fixing Multi-Tiers
Fixing fake stake attack
Added new buttons
Increased minimum staking amount to 12k FIX
Improved CPU consumption
Hard fork at block heigh 223000

Compare
Choose a tag to compare

Added support for BIP39/BIP44 HD Wallets

HD wallet support is disabled by default. In order to enable it, wallet must be launched with
"-usehd=1" command line parameter. Alternatively, "usehd=1" line can be included in the configuration.

Please note: Once created, wallet can't be changed to/from HD/legacy format. If you want to migrate from one format to another, you will have to create new wallet and transfer all the funds.

Random 24 words mnemonic seed will be generated for new wallets, which can be shown using 'dumphdinfo' console/CLI command

In order to create new HD wallet by restoring existing seed / mnemonic phrase, the wallet should be launched with the following options :

-usehd=1 -mnemonic="my mnemonic phrase here" -mnemonicpassphrase="Optional passphrase"

or

-usehd=1 -hdseed="_correct_hex_seed_"

Once restored, wallet can be launched with just "usehd=1" parameter.

The following RPC command is added :

dumphdinfo - Returns an object containing sensitive private info about this HD wallet

IMPORTANT security notice

  1. Do not share private keys for addresses generated by HD Wallets with 3rd party, as under certain circumstances it may lead to compromise of master private key of the account.
  2. Always keep your wallet encrypted
  3. Backup your mnemonic seed
  4. Keep your mnemonic seed backup safe & offline

Usefull tools

Mnemonic Code Converter

P.S.

This is optional update. No need to upgrade existing masternodes